Page MenuHomePhabricator

Extension ImageTweaks failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

There were 2 failures:

1) ApiDocumentationTest::testDocumentationExists with data set "Module imagetweaks with MiserMode=false, AllowCategorizedRecentChanges=false" ('imagetweaks', array(false, false))
Module description message apihelp-imagetweaks-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

2) ApiDocumentationTest::testDocumentationExists with data set "Module imagetweaks with MiserMode=true, AllowCategorizedRecentChanges=true" ('imagetweaks', array(true, true))
Module description message apihelp-imagetweaks-description exists
Failed asserting that false is true.

C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:51
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\structure\ApiDocumentationTest.php:80
C:\Users\Anwender\Documents\xampplite\htdocs\core\tests\phpunit\MediaWikiTestCase.php:399
C:\Users\Anwender\Documents\xampplite\htdocs\core\maintenance\doMaintenance.php:111

FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/ImageTweaks : masterFix extension ImageTweaks failing tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 9:03 PM

Change 332038 had a related patch set uploaded (by DatGuy):
Fix extension ImageTweaks failing tests

https://gerrit.wikimedia.org/r/332038

DatGuy claimed this task.Jan 14 2017, 1:08 PM
Jdforrester-WMF closed this task as Resolved.Jan 16 2017, 7:40 PM
Jdforrester-WMF edited projects, added Multimedia; removed Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thank you!

Change 332038 merged by jenkins-bot:
Fix extension ImageTweaks failing tests

https://gerrit.wikimedia.org/r/332038